// ClickedStatic.cpp : 実装ファイル
//

#include "stdafx.h"
#include "ServerController.h"
#include "ClickedStatic.h"


// CClickedStatic

IMPLEMENT_DYNAMIC(CClickedStatic, CStatic)
CClickedStatic::CClickedStatic()
{
}

CClickedStatic::~CClickedStatic()
{
}


BEGIN_MESSAGE_MAP(CClickedStatic, CStatic)
	ON_WM_MOUSEMOVE()
	ON_WM_CREATE()
END_MESSAGE_MAP()



// CClickedStatic メッセージ ハンドラ


void CClickedStatic::OnMouseMove(UINT nFlags, CPoint point)
{
	CRect	client;

	if(::LoadCursor(NULL ,MAKEINTRESOURCE(IDC_HAND)))
		::SetCursor(LoadCursor(NULL ,MAKEINTRESOURCE(IDC_HAND)));

	CStatic::OnMouseMove(nFlags, point);
}

int CClickedStatic::OnCreate(LPCREATESTRUCT lpCreateStruct)
{
	if (CStatic::OnCreate(lpCreateStruct) == -1)
		return -1;

	// TODO :  ここに特定な作成コードを追加してください。

	return 0;
}

BOOL CClickedStatic::PreCreateWindow(CREATESTRUCT& cs)
{
	if(CStatic::PreCreateWindow(cs))
		return FALSE;

	return TRUE;

}
